Index: trunk/kernel/libk/xlist.h
===================================================================
--- trunk/kernel/libk/xlist.h	(revision 656)
+++ trunk/kernel/libk/xlist.h	(revision 657)
@@ -2,5 +2,5 @@
  * xlist.h - Trans-cluster double circular linked list, using extended pointers.
  *
- * Author : Alain Greiner (2016,2017,2018,2019)
+ * Author : Alain Greiner (2016,2017,2018,2019,2020)
  *
  * Copyright (c) UPMC Sorbonne Universites
@@ -50,4 +50,5 @@
 /***************************************************************************
  * This macro returns the offset (in bytes) of a field in a structure.
+ ***************************************************************************
  * @ type   : structure type
  * @ member : name of the field
@@ -61,4 +62,5 @@
  * This macro returns an extended pointer on the structure containing an
  * embedded xlist_entry_t field.
+ ***************************************************************************
  * @ xlist_xp : extended pointer on the xlist_entry_t field
  * @ type     : type of the structure containing the xlist_entry_t
@@ -74,4 +76,5 @@
  * the root xlist_entry_t.
  * WARNING : check list non empty before using this macro.
+ ***************************************************************************
  * @ root_xp : extended pointer on the root xlist_entry_t 
  * @ type    : type of the linked elements
@@ -88,4 +91,5 @@
  * the root xlist_entry_t.
  * WARNING : check list non empty before using this macro.
+ ***************************************************************************
  * @ root_xp : extended pointer on the root xlist_entry_t
  * @ type    : type of the linked elements
@@ -100,4 +104,5 @@
  * This macro traverses an extended double linked list in forward order.
  * WARNING : the iter variable should NOT be deleted during traversal. 
+ ***************************************************************************
  * @ root_xp  : extended pointer on the root xlist_entry_t
  * @ iter_xp  : current extended pointer on a xlist_entry_t
@@ -112,4 +117,5 @@
  * This macro traverses an extended double linked list in backward order.
  * WARNING : the iter variable should NOT be deleted during traversal. 
+ ***************************************************************************
  * @ root_xp  : extended pointer on the root xlist_entry_t
  * @ iter_xp  : current extended pointer on a xlist_entry_t
@@ -124,4 +130,5 @@
  * This function returns an extended pointer on the next xlist_entry_t,
  * from an extended pointer on a reference xlist_entry_t.
+ ***************************************************************************
  * @ root    : extended pointer on the root xlist_entry_t
  * @ ref     : extended pointer on the reference xlist_entry_t
@@ -144,4 +151,5 @@
 /***************************************************************************
  * This function returns an extended pointer on the previous xlist_entry_t.
+ ***************************************************************************
  * @ root    : extended pointer on the root xlist_entry_t
  * @ ref     : extended pointer on the reference xlist_entry_t
@@ -165,4 +173,5 @@
  * This function initialises the root of an extended double linked list.
  * The root can be located in any cluster.
+ ***************************************************************************
  * @ root_xp   :  extended pointer on the root xlist_entry_t
 xixi **************************************************************************/
@@ -176,4 +185,5 @@
  * This function initialises an entry of an extended double linked list.
  * The entry can be located in any cluster.
+ ***************************************************************************
  * @ entry_xp  : extended pointer on the xlist_entry_t
  **************************************************************************/
@@ -188,4 +198,5 @@
  * double linked list. Four extended pointers must be modified.
  * The lock protecting the list should have been previously taken.
+ ***************************************************************************
  * @ root_xp   : extended pointer on the root xlist_entry_t
  * @ entry_xp  : extended pointer on the xlist_entry_t to be inserted
@@ -214,4 +225,5 @@
  * double linked list.  Four extended pointers must be modified.
  * The lock protecting the list should have been previously taken.
+ ***************************************************************************
  * @ root_xp   : extended pointer on the root xlist_entry_t
  * @ entry_xp  : extended pointer on the xlist_entry_t to be inserted
@@ -239,4 +251,5 @@
 /***************************************************************************
  * This function returns true if the list is empty.
+ ***************************************************************************
  * @ root_xp  : extended pointer on the root xlist_entry_t.
  **************************************************************************/
@@ -253,4 +266,5 @@
  * Two extended pointers must be modified.
  * The memory allocated to the removed entry is not released.
+ ***************************************************************************
  * @ xp : extended pointer on the xlist_entry_t to be removed.
  **************************************************************************/
@@ -277,4 +291,5 @@
  * Four extended pointers must be modified.
  * The memory allocated to the removed entry is not released.
+ ***************************************************************************
  * @ old      : extended pointer on the xlist_entry_t to be removed.
  * @ new      : extended pointer on the xlist_entry_t to be inserted.
@@ -307,4 +322,5 @@
 /***************************************************************************
  * This debug function displays all entries of an xlist.
+ ***************************************************************************
  * @ root_xp : extended pointer on the root xlist_entry_t.
  * @ string  : list identifier displayed in header.
